Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027809
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementmajoralways2014-10-09 10:562014-12-30 23:26
ReporteregoitzView Statuspublic 
Assigned Toreinaldoguerra 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision90e159b4e6e4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027809: The Wrong sales invoice. Wrong amount in payment plan detail ALERT can not be properly deactivated.

DescriptionThe Wrong sales invoice. Wrong amount in payment plan detail ALERT can not be properly deactivated. If you deactivate it, it is generated on an update.database
Steps To Reproduce-Deactivate the alertrule
-If you execute an update.database the alert rule is generated again.
-Also new alerts are raised as new although previously they were ignored.
Proposed SolutionON the AlertsForWrongInvoices_data.xsql file change the medthod existsAlertRule to not take into account if it is active or not.

https://code.openbravo.com/erp/devel/pi/file/8296d4aee5c5/modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices_data.xsql [^]


Check also if it is needed to remove the isactive condition on the method selectOldAlertRules.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027727 closedaferraz Performance problems on the "Wrong sales invoice. Wrong amount in payment plan detail" ALERT 

-  Notes
(0071445)
reinaldoguerra (developer)
2014-11-06 02:24

Test plan used:
1- Login into Openbravo ERP
2- Go to alert window
3- Deactivate Wrong sales invoice alert
4- Go to alert management window and check that this alert is not listed.
5- Execute an update.database
6- Go to alert management window again and check that Wrong sales invoice alert remains not listed.
(0072175)
hgbot (developer)
2014-12-01 10:35

Repository: erp/devel/pi
Changeset: fd457423c9e6e20a264a3d166896783a4ece0769
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Wed Nov 05 18:56:41 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/fd457423c9e6e20a264a3d166896783a4ece0769 [^]

Fixed bug 27809: The Wrong sales invoice alert can not be properly deactivated.

Method existsAlertRule on Alerts For Wrong Invoices module script xsql file was changed to not take into account if wrong invoice alert is active or not so when module script is executed and the mentioned alert is deactivated it is recognized as an existent rule and it is not inserted again as active.
Now it is possible to deactivate The Wrong sales invoice alert and conserves its status, no matter an update database is executed.

---
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.class
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices_data.xsql
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.java
---
(0072176)
pramakrishnan (developer)
2014-12-01 10:40

Code Review + Testing - OK.
(0072179)
hgbot (developer)
2014-12-01 11:21

Repository: erp/devel/pi
Changeset: 7061822cce381e64a48def1f221f98aebfc650f9
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Mon Dec 01 15:50:26 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7061822cce381e64a48def1f221f98aebfc650f9 [^]

Backout Issue 27809: Backed out changeset fd457423c9e6

---
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.class
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices_data.xsql
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.java
---
(0072180)
pramakrishnan (developer)
2014-12-01 11:23

Backed out the fix as it breaks CI
(0072264)
hgbot (developer)
2014-12-03 16:50

Repository: erp/devel/pi
Changeset: 90e159b4e6e42dcb501a07a7758000abe376b7b6
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Tue Dec 02 13:44:23 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/90e159b4e6e42dcb501a07a7758000abe376b7b6 [^]

Fixed bug 27809: The Wrong sales invoice alert can not be properly deactivated.

Method existsAlertRule on Alerts For Wrong Invoices module script xsql file was changed to not take into account if wrong invoice alert is active or not so when module script is executed and the mentioned alert is deactivated it is recognized as an existent rule and it is not inserted again as active.
Now it is possible to deactivate The Wrong sales invoice alert and conserves its status, no matter an update database is executed.

---
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.class
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices_data.xsql
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.java
---
(0072298)
pramakrishnan (developer)
2014-12-05 08:03

Code Review + Testing - OK.
(0073155)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073156)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073167)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-09 10:56 egoitz New Issue
2014-10-09 10:56 egoitz Assigned To => dmiguelez
2014-10-09 10:56 egoitz Modules => Core
2014-10-09 10:56 egoitz Triggers an Emergency Pack => No
2014-10-09 10:56 egoitz Relationship added related to 0027727
2014-10-09 11:00 egoitz Assigned To dmiguelez => AtulOpenbravo
2014-11-05 03:26 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-11-05 03:26 reinaldoguerra Status new => scheduled
2014-11-06 02:24 reinaldoguerra Note Added: 0071445
2014-12-01 10:35 hgbot Checkin
2014-12-01 10:35 hgbot Note Added: 0072175
2014-12-01 10:35 hgbot Status scheduled => resolved
2014-12-01 10:35 hgbot Resolution open => fixed
2014-12-01 10:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fd457423c9e6e20a264a3d166896783a4ece0769 [^]
2014-12-01 10:40 pramakrishnan Review Assigned To => pramakrishnan
2014-12-01 10:40 pramakrishnan Note Added: 0072176
2014-12-01 10:40 pramakrishnan Status resolved => closed
2014-12-01 11:21 hgbot Checkin
2014-12-01 11:21 hgbot Note Added: 0072179
2014-12-01 11:23 pramakrishnan Note Added: 0072180
2014-12-01 11:23 pramakrishnan Status closed => new
2014-12-01 11:23 pramakrishnan Resolution fixed => open
2014-12-03 16:50 hgbot Checkin
2014-12-03 16:50 hgbot Note Added: 0072264
2014-12-03 16:50 hgbot Status new => resolved
2014-12-03 16:50 hgbot Resolution open => fixed
2014-12-03 16:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/fd457423c9e6e20a264a3d166896783a4ece0769 [^] => http://code.openbravo.com/erp/devel/pi/rev/90e159b4e6e42dcb501a07a7758000abe376b7b6 [^]
2014-12-05 08:03 pramakrishnan Note Added: 0072298
2014-12-05 08:03 pramakrishnan Status resolved => closed
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073155
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073156
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073167


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker